package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsContact;
import com.goldenwater.slgc.mapper.pms.PmsContactMapper;
import com.goldenwater.slgc.service.pms.IPmsContactService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsContactServiceImpl implements IPmsContactService {
    @Autowired
    private PmsContactMapper pmsContactMapper;

    /**
     * 鏌ヨ鑱旂郴浜哄垪琛?     */
    @Override
    public List<PmsContact> selectList(PmsContact contact) {
        return pmsContactMapper.selectList(contact);
    }

    /**
     * 鏍规嵁涓婚敭鏌ヨ鑱旂郴浜?     */
    @Override
    public PmsContact selectById(Long id) {
        return pmsContactMapper.selectById(id);
    }

    /**
     * 鏂板鑱旂郴浜?     */
    @Override
    public int insert(PmsContact contact) {
        return pmsContactMapper.insert(contact);
    }

    /**
     * 淇敼鑱旂郴浜?     */
    @Override
    public int update(PmsContact contact) {
        return pmsContactMapper.update(contact);
    }

    /**
     * 鍒犻櫎鑱旂郴浜?     */
    @Override
    public int deleteById(Long id) {
        return pmsContactMapper.deleteById(id);
    }

    /**
     * 鎵归噺鍒犻櫎鑱旂郴浜?     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsContactMapper.deleteByIds(ids);
    }

    /**
     * 鏍规嵁鍗曚綅ID鏌ヨ鑱旂郴浜哄垪琛?     */
    @Override
    public List<PmsContact> selectByCompanyId(Long companyId) {
        return pmsContactMapper.selectByCompanyId(companyId);
    }
}
